Skip to main content
GET
/
api
/
v1
/
verify
Verify and correct an email address
curl --request GET \
  --url https://api.example.com/api/v1/verify
{
  "email": "<string>",
  "status": "<string>",
  "sub_status": "<string>",
  "corrected_emails": [
    {
      "email": "<string>",
      "confidence": "<string>"
    }
  ]
}

Headers

X-API-Key
string

Your API key (alternative to apiKey query param)

Query Parameters

email
string

The email address to verify

apiKey
string

Your API key (alternative to X-API-Key header)

firstName
string

Contact's first name — improves correction accuracy

lastName
string

Contact's last name — improves correction accuracy

linkedInProfileUrl
string

LinkedIn profile URL — improves correction accuracy

domain
string

Known company domain — used to discover business email if personal email is provided

Response

OK

email
string | null
status
string | null
sub_status
string | null
corrected_emails
object[] | null